Name:           jhighlight
Version:        1.0
Release:        %mkrel 7
Summary:        An embeddable pure Java syntax highlighting library

Group:          Development/Java
License:        LGPLv2+
URL:            http://svn.rifers.org/jhighlight

# svn export http://svn.rifers.org/jhighlight/tags/release-1.0/ jhighlight-1.0
# find jhighlight-1.0/ -name *.jar
# tar cJf jhighlight-1.0.tar.xz jhighlight-1.0/
Source0:        %{name}-%{version}.tar.xz
Source1:        http://central.maven.org/maven2/com/uwyn/%{name}/%{version}/%{name}-%{version}.pom

BuildArch:      noarch

BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  jflex
BuildRequires:  jpackage-utils
BuildRequires:  javapackages-local
BuildRequires:  tomcat-servlet-3.0-api

Requires:       java-headless
Requires:       jflex
Requires:       jpackage-utils
Requires:       tomcat-servlet-3.0-api

%description
JHighlight is an embeddable pure Java syntax highlighting library that supports
Java, Groovy, C++, HTML, XHTML, XML and LZX languages and outputs to XHTML. It
also supports RIFE (http://rifers.org) templates tags and highlights them
clearly so that you can easily identify the difference between your RIFE markup
and the actual marked up source.

%package        javadoc
Summary:        Javadocs for %{name}
Group:          Documentation

%description    javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

find -name '*.class' -delete
find -name '*.jar' -delete

pushd lib/
ln -s %{_javadir}/jflex.jar
ln -s %{_javadir}/tomcat-servlet-3.0-api.jar
popd

cp %{SOURCE1} %{name}.pom
%pom_change_dep javax.servlet:servlet-api org.apache.tomcat:tomcat-servlet-api %{name}.pom
%mvn_file com.uwyn:jhighlight %{name}

%build
%ant

%mvn_artifact %{name}.pom build/dist/%{name}-%{version}.jar

%install

mkdir javadoc
unzip build/dist/%{name}-javadocs-%{version}.zip -d javadoc

%mvn_install -J javadoc/docs/api

%files -f .mfiles
%doc README
%doc COPYING
%doc LICENSE_LGPL.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE_LGPL.txt
%doc COPYING


%changelog
* Mon Jan 19 2015 daviddavid <daviddavid> 1.0-7.mga5
+ Revision: 811509
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 1.0-6.mga5
+ Revision: 739515
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-5.mga5
+ Revision: 680810
- Mageia 5 Mass Rebuild

* Sun Dec 22 2013 dmorgan <dmorgan> 1.0-4.mga4
+ Revision: 559936
- Use new rpm depmap macros

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 355445
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 19 2011 dams <dams> 1.0-1.mga2
+ Revision: 156540
- update subpackage group
- update mkrel

  + gil <gil>
    - imported package jhighlight


* Fri Jul 15 2011 gil <gil> 1.0-0.%%mkrel
- initial rpm

